%define openmotif 1

Summary: An OSF/Motif(R) clone.
Name: lesstif
Version: 0.93.18
Release: 2.3.legacy
License: LGPL
Group: Development/Libraries
Source: ftp://ftp.hungry.com/pub/hungry/lesstif/srcdist/lesstif-%{version}.tar.bz2
Patch: lesstif-0.93.15-rh.patch
# Fedora Legacy Security Patches
Patch2: lesstif-0.93.15-CAN-2004-0687-0688.patch
Patch3: lesstif-0.93.15-CAN-2004-0914.patch
Patch4: lesstif-0.93.15-CAN-2004-0914_sec8.patch
Patch5: lesstif-0.93.15-CAN-2005-0605.patch
Url: http://www.lesstif.org/
Obsoletes: lesstif-clients lesstif-mwm
BuildRequires: XFree86-devel, bison, flex
BuildRoot: %{_tmppath}/%{name}-root
Prefix: /usr/X11R6

%description
LessTif is a free replacement for OSF/Motif(R), which provides a full
set of widgets for application development (menus, text entry areas,
scrolling windows, etc.). LessTif is source compatible with
OSF/Motif(R) 1.2.

This package provides the lesstif 1.2 runtime libraries.

%package 2.0
Summary: An OSF/Motif(R) clone
Group: Development/Libraries

%description 2.0
LessTif is a free replacement for OSF/Motif(R), which provides a full
set of widgets for application development (menus, text entry areas,
scrolling windows, etc.).

This package provides the lesstif 2.0 runtime libraries.

%package devel
Summary: Static library and header files for LessTif/Motif development.
Group: Development/Libraries
Requires: XFree86-devel, lesstif = %{version}
Obsoletes: lesstif-1.2-devel
Provides: lesstif-1.2-devel

%description devel
Lesstif-devel contains the lesstif static library and header files
required to develop Motif-1.2-based applications using LessTif. If you
want to develop LessTif applications, you'll need to install
lesstif-devel along with lesstif.

%package mwm
Summary: Lesstif Motif window manager clone based on fvwm
Group: User Interface/Desktops
Requires: lesstif = %{version}
Obsoletes: motif-mwm

%description mwm
MWM is a window manager that adheres largely to the Motif mwm specification.

%prep
%setup -q
%patch -p1 -b .redhat
# Fedora Legacy Security Patches
%patch2 -p1 -b .CAN-2004-0687-0688
%patch3 -p1 -b .CAN-2004-0914
%patch4 -p1 -b .CAN-2004-0914_sec8
%patch5 -p1 -b .CAN-2005-0605

LESSTIFTOP=$PWD
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
    --enable-shared --enable-static \
    --with-xpm-includes=/usr/X11R6/include \
    --with-xpm-libraries=/usr/X11R6/lib \
    --enable-production \
    --enable-build-12 \
    --enable-default-12 \
    --disable-build-20 \
%if %{openmotif}
    --disable-build-21 \
%else
    --enable-build-21 \
%endif
    --disable-maintainer-mode --disable-debug

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/X11 \
         $RPM_BUILD_ROOT%{prefix}/include

# mwm config files to /etc/X11
#mv $RPM_BUILD_ROOT%{prefix}/lib/X11/mwm $RPM_BUILD_ROOT/etc/X11
#cd $RPM_BUILD_ROOT%{prefix}/lib/X11/
#ln -s ../../../../etc/X11/mwm mwm

cd $RPM_BUILD_ROOT%{prefix}/lib/
%if %{openmotif} == 0
ln -sf ../LessTif/Motif2.1/lib/* .
%endif
ln -sf ../LessTif/Motif1.2/lib/* .
cd $RPM_BUILD_ROOT%{prefix}/include/
ln -sf ../LessTif/Motif1.2/include/* .
cd $RPM_BUILD_ROOT%{prefix}/bin/
ln -sf ../LessTif/Motif1.2/bin/* .
%if %{openmotif} == 0
ln -sf ../LessTif/Motif2.1/bin/mwm .
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUG-REPORTING COPYING COPYING.LIB CREDITS 
%doc ChangeLog NEWS README
%dir /usr/X11R6/LessTif
%dir /usr/X11R6/LessTif/Motif1.2
%dir /usr/X11R6/LessTif/Motif1.2/lib
%dir /usr/X11R6/LessTif/Motif1.2/bin
/usr/X11R6/LessTif/Motif1.2/lib/*.so.*
/usr/X11R6/lib/libMrm.so.*
/usr/X11R6/lib/libXm.so.*
/usr/X11R6/lib/libUil.so.*

%if %{openmotif} == 0
%dir /usr/X11R6/LessTif/Motif2.1
%dir /usr/X11R6/LessTif/Motif2.1/lib
%dir /usr/X11R6/LessTif/Motif2.1/bin
/usr/X11R6/bin/xmbind
/usr/X11R6/LessTif/Motif1.2/bin/xmbind
/usr/X11R6/man/man1/xmbind.1*
/usr/X11R6/LessTif/Motif2.1/lib/*.so.*
/usr/X11R6/lib/libDtPrint.so.*
%endif

%if %{openmotif} == 0
%files mwm
%defattr(-,root,root)
%doc clients/Motif-1.2/mwm/COPYING
%doc clients/Motif-1.2/mwm/README
#%config /etc/X11/mwm
/usr/X11R6/lib/X11/mwm
/usr/X11R6/bin/mwm
/usr/X11R6/LessTif/Motif1.2/bin/mwm
%config /usr/X11R6/lib/X11/app-defaults/Mwm
/usr/X11R6/man/man1/mwm.1*
/usr/X11R6/man/man5/mwmrc.5*
%endif

%files devel
%defattr(-,root,root)
/usr/X11R6/LessTif/Motif1.2/bin/uil
/usr/X11R6/LessTif/Motif1.2/include
/usr/X11R6/LessTif/Motif1.2/lib/lib*.a
/usr/X11R6/LessTif/Motif1.2/lib/lib*.la
/usr/X11R6/LessTif/Motif1.2/lib/*.so

%if %{openmotif} == 0
/usr/X11R6/bin/uil
/usr/X11R6/bin/mxmkmf
/usr/X11R6/LessTif/Motif2.1/include
/usr/X11R6/LessTif/Motif2.1/lib/lib*.a
/usr/X11R6/LessTif/Motif2.1/lib/lib*.la
/usr/X11R6/LessTif/Motif2.1/lib/*.so
/usr/X11R6/lib/libMrm.so
/usr/X11R6/lib/libXm.so
/usr/X11R6/lib/libUil.so
/usr/X11R6/lib/libDtPrint.so
/usr/X11R6/lib/lib*.a
/usr/X11R6/lib/lib*.la
/usr/X11R6/include/Mrm
/usr/X11R6/include/Xm
/usr/X11R6/include/Dt
/usr/X11R6/include/uil
%endif

%changelog
* Wed Jul 27 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 0.93.18-2.3.legacy
- Use the RHEL patches for CAN-2004-0667, CAN-2004-0668 and CAN-2004-0914
- fixed possible libXpm overflows (CAN-2005-0605)

* Fri Dec  3 2004 Rob Myers <rob.myers@gtri.gatech.edu> 0.93.18-2.2.legacy
- apply diff from current lesstif cvs that removes the monolithic
  Xpm.c file and breaks it into the latest versions of the separate
  libXpm files.  this should fix  CAN-2004-0667, CAN-2004-0668, and
  CAN-2004-0914 (FL #2142)

* Thu Nov  4 2004 Rob Myers <rob.myers@gtri.gatech.edu> 0.93.18-2.1.legacy
- apply patch for CAN-2004-0688 (FL #2142)
- truncated changelog because it was somehow breaking things

* Wed Feb 27 2002 Than Ngo <than@redhat.com> 0.93-18-2
- rebuild
